Plack::Middleware::ConditionalGET(3pm)

NAME
Plack::Middleware::ConditionalGET - Middleware to enable conditional GET

SYNOPSIS
  builder {
      enable "ConditionalGET";
      ....
  };

DESCRIPTION
This middleware enables conditional GET and HEAD using "If-None-Match" and "If-Modified-Since" header. The application should set either or both of "Last-Modified" or "ETag" response headers per RFC 2616. When either of the conditions is met, the response body is set to be zero length and the status is set to 304 Not Modified.

SEE ALSO
Rack::ConditionalGet